# © 2020 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import api, fields, models


class PosConfig(models.Model):
    _inherit = 'pos.config'

    is_print_container_qr = fields.Boolean(
        string='Impression QR Code Container')
    mag_id = fields.Char("Identifiant du magasin")
    iface_print_qr_via_proxy = fields.Boolean(
        string='Imprimer via Proxy', 
        help="Contournez l'impression du navigateur et les impressions via le proxy matériel.")
    url_qrcode = fields.Char("URL Mayam QR")
    prefixe_qr = fields.Integer("Préfixe QR Code", size=5)